CINNAMON-SETTINGS(1)

NAME
cinnamon-settings - Configuration panel for cinnamon

SYNOPSIS
cinnamon-settings [-h]
cinnamon-settings MODULE [-t TAB]
cinnamon-settings applets|panel [-p PANEL]
cinnamon-settings applets|desklets|extensions|themes|actions [-t TAB]
cinnamon-settings applets|desklets|extensions|themes|actions -t download [-s SORT]

DESCRIPTION

cinnamon-settings runs the graphical user interface allowing to configure Cinnamon. Command line arguments can be used to open a specific module and even a tab within that module.
Run cinnamon-settings --help to see a list of modules.
Run cinnamon-settings MODULE --tab help to see the available tabs for a particular module.

PANEL
When the applets or panel module are specified, PANEL can specify the id of a specific panel operate on.

SORT

Possible choices are:
     - name or 0
     - score or 1 (default value)
     - date or 2
     - installed or 3
     - update or 4 (upgradable Spices first, then acts as date)

OPTIONS
The following options are supported:

-h, --help
    Print a help text describing the supported command-line options, and then exit.

-s SORT, --sort=SORT
    Specific to the 'download' tab (see below) for applets, desklets, extensions, themes and actions modules.

-t TAB, --tab=TAB
    Select the tab to switch to in the module. Specifying --tab=help will print a module's available tab names then exit. Not all modules have multiple tabs.

-p PANEL, --panel=PANEL
    Select the panel ID to operate on. Only valid with the applets and panel modules.

EXAMPLES

To open System Settings:
    $ cinnamon-settings

To add some applets on the second panel (if it exists):
    $ cinnamon-settings applets --panel 2

To open the download tab of the applets module:
    $ cinnamon-settings applets --tab=download
    or
    $ cinnamon-settings applets -t 1

To open the applets download tab and sort by 'name':
    $ cinnamon-settings applets --tab=download --sort=name
    or
    $ cinnamon-settings applets -t 1 -s 0

SEE ALSO
cinnamon-menu-editor(1)

CONTRIBUTORS
Claude Clerc (claudiux) and Nicolas Bourdaud (nbourdau).